> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://es.megaport.ferndocs.com/es/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://es.megaport.ferndocs.com/es/_mcp/server.

# IX Ubicaciones

GET https://api.megaport.com/v2/product/ix/types

Devuelve una lista de tipos de IX disponibles para una ubicación específica.

Reference: https://es.megaport.ferndocs.com/es/api-reference/locations/ix-locations

## Servers

- `https://api.megaport.com` (Entorno de producción, default)
- `https://api-staging.megaport.com` (Entorno de pruebas (solo pruebas, se restablece cada 24 horas))

## Request

### Query parameters

- `locationId` (string, optional) — Identificador de ubicación. (Obligatorio - entero)

## Response

### 200

IX Ubicaciones / IX Ubicaciones

- `data` (list of V2ProductIxTypesGetResponsesContentApplicationJsonSchemaDataItems, optional)
- `message` (string, optional)
- `terms` (string, optional)

## Types

### V2ProductIxTypesGetResponsesContentApplicationJsonSchemaDataItems

- `asn` (double, optional)
- `description` (string, optional)
- `ecix` (boolean, optional)
- `group_metro` (string, optional)
- `name` (string, optional)
- `network_region` (string, optional)
- `primaryipv4` (V2ProductIxTypesGetResponsesContentApplicationJsonSchemaDataItemsPrimaryipv4, optional)
- `primaryipv6` (V2ProductIxTypesGetResponsesContentApplicationJsonSchemaDataItemsPrimaryipv6, optional)
- `secondaryipv4` (V2ProductIxTypesGetResponsesContentApplicationJsonSchemaDataItemsSecondaryipv4, optional)
- `secondaryipv6` (V2ProductIxTypesGetResponsesContentApplicationJsonSchemaDataItemsSecondaryipv6, optional)
- `state` (string, optional, nullable)

### V2ProductIxTypesGetResponsesContentApplicationJsonSchemaDataItemsPrimaryipv4

- `type` (string, optional)
- `value` (string, optional)

### V2ProductIxTypesGetResponsesContentApplicationJsonSchemaDataItemsPrimaryipv6

- `type` (string, optional)
- `value` (string, optional)

### V2ProductIxTypesGetResponsesContentApplicationJsonSchemaDataItemsSecondaryipv4

- `type` (string, optional)
- `value` (string, optional)

### V2ProductIxTypesGetResponsesContentApplicationJsonSchemaDataItemsSecondaryipv6

- `type` (string, optional)
- `value` (string, optional)

## Examples

**Response**

```json
{
  "data": [
    {
      "asn": 58942,
      "description": "Brisbane MegaIX",
      "ecix": false,
      "group_metro": "Brisbane",
      "name": "Brisbane IX",
      "network_region": "MP1",
      "primaryipv4": {
        "type": "inet",
        "value": "103.26.70.1"
      },
      "primaryipv6": {
        "type": "inet",
        "value": "2001:dea:0:20::1"
      },
      "secondaryipv4": {
        "type": "inet",
        "value": "103.26.70.2"
      },
      "secondaryipv6": {
        "type": "inet",
        "value": "2001:dea:0:20::2"
      },
      "state": "QLD"
    },
    {
      "asn": 63839,
      "description": "Auckland MegaIX",
      "ecix": false,
      "group_metro": "Auckland",
      "name": "Auckland IX",
      "network_region": "MP1",
      "primaryipv4": {
        "type": "inet",
        "value": "43.243.22.1"
      },
      "primaryipv6": {
        "type": "inet",
        "value": "2001:dea:0:40::1"
      },
      "secondaryipv4": {
        "type": "inet",
        "value": "43.243.22.2"
      },
      "secondaryipv6": {
        "type": "inet",
        "value": "2001:dea:0:40::2"
      },
      "state": "QLD"
    },
    {
      "asn": 63832,
      "description": "Singapur MegaIX",
      "ecix": false,
      "group_metro": "Singapore",
      "name": "Singapore IX",
      "network_region": "MP1",
      "primaryipv4": {
        "type": "inet",
        "value": "103.41.12.1"
      },
      "primaryipv6": {
        "type": "inet",
        "value": "2001:ded::1"
      },
      "secondaryipv4": {
        "type": "inet",
        "value": "103.41.12.2"
      },
      "secondaryipv6": {
        "type": "inet",
        "value": "2001:ded::2"
      },
      "state": "QLD"
    },
    {
      "asn": 64219,
      "description": "Seattle MegaIX",
      "ecix": false,
      "group_metro": "Seattle",
      "name": "Seattle IX",
      "network_region": "MP1",
      "primaryipv4": {
        "type": "inet",
        "value": "206.53.171.1"
      },
      "primaryipv6": {
        "type": "inet",
        "value": "2606:a980:0:4::1"
      },
      "secondaryipv4": {
        "type": "inet",
        "value": "206.53.171.2"
      },
      "secondaryipv6": {
        "type": "inet",
        "value": "2606:a980:0:4::2"
      },
      "state": "WA"
    },
    {
      "asn": 64220,
      "description": "Los Ángeles MegaIX",
      "ecix": false,
      "group_metro": "Los Angeles",
      "name": "Los Angeles IX",
      "network_region": "MP1",
      "primaryipv4": {
        "type": "inet",
        "value": "206.53.172.1"
      },
      "primaryipv6": {
        "type": "inet",
        "value": "2606:a980:0:5::1"
      },
      "secondaryipv4": {
        "type": "inet",
        "value": "206.53.172.2"
      },
      "secondaryipv6": {
        "type": "inet",
        "value": "2606:a980:0:5::2"
      },
      "state": "CA"
    },
    {
      "asn": 58941,
      "description": "Perth MegaIX",
      "ecix": false,
      "group_metro": "Perth",
      "name": "Perth IX",
      "network_region": "MP1",
      "primaryipv4": {
        "type": "inet",
        "value": "202.12.243.1"
      },
      "primaryipv6": {
        "type": "inet",
        "value": "2001:dea:0:50::1"
      },
      "secondaryipv4": {
        "type": "inet",
        "value": "202.12.243.2"
      },
      "secondaryipv6": {
        "type": "inet",
        "value": "2001:dea:0:50::2"
      },
      "state": "WA"
    },
    {
      "asn": 64220,
      "description": "Las Vegas MegaIX",
      "ecix": false,
      "group_metro": "Las Vegas",
      "name": "Las Vegas IX",
      "network_region": "MP1",
      "primaryipv4": {
        "type": "inet",
        "value": "206.53.205.1"
      },
      "primaryipv6": {
        "type": "inet",
        "value": "2606:a980:0:9::1"
      },
      "secondaryipv4": {
        "type": "inet",
        "value": "206.53.205.2"
      },
      "secondaryipv6": {
        "type": "inet",
        "value": "2606:a980:0:9::2"
      },
      "state": "NV"
    },
    {
      "asn": 395081,
      "description": "Toronto MegaIX",
      "ecix": false,
      "group_metro": "Toronto",
      "name": "Toronto IX",
      "network_region": "MP1",
      "primaryipv4": {
        "type": "inet",
        "value": "206.53.203.1"
      },
      "primaryipv6": {
        "type": "inet",
        "value": "2606:a980:0:8::1"
      },
      "secondaryipv4": {
        "type": "inet",
        "value": "206.53.203.2"
      },
      "secondaryipv6": {
        "type": "inet",
        "value": "2606:a980:0:8::2"
      },
      "state": "ON"
    },
    {
      "asn": 58941,
      "description": "Sydney MegaIX",
      "ecix": false,
      "group_metro": "Sydney",
      "name": "Sydney IX",
      "network_region": "MP1",
      "primaryipv4": {
        "type": "inet",
        "value": "103.26.68.1"
      },
      "primaryipv6": {
        "type": "inet",
        "value": "2001:dea:0:10::1"
      },
      "secondaryipv4": {
        "type": "inet",
        "value": "103.26.68.2"
      },
      "secondaryipv6": {
        "type": "inet",
        "value": "2001:dea:0:10::2"
      },
      "state": "NSW"
    },
    {
      "asn": 58943,
      "description": "Melbourne MegaIX",
      "ecix": false,
      "group_metro": "Melbourne",
      "name": "Melbourne IX",
      "network_region": "MP1",
      "primaryipv4": {
        "type": "inet",
        "value": "103.26.71.1"
      },
      "primaryipv6": {
        "type": "inet",
        "value": "2001:dea:0:30::1"
      },
      "secondaryipv4": {
        "type": "inet",
        "value": "103.26.71.2"
      },
      "secondaryipv6": {
        "type": "inet",
        "value": "2001:dea:0:30::2"
      },
      "state": "VIC"
    },
    {
      "asn": 64216,
      "description": "Ashburn MegaIX",
      "ecix": false,
      "group_metro": "Ashburn",
      "name": "Ashburn IX",
      "network_region": "MP1",
      "primaryipv4": {
        "type": "inet",
        "value": "206.53.170.1"
      },
      "primaryipv6": {
        "type": "inet",
        "value": "2606:a980:0:3::1"
      },
      "secondaryipv4": {
        "type": "inet",
        "value": "206.53.170.2"
      },
      "secondaryipv6": {
        "type": "inet",
        "value": "2606:a980:0:3::2"
      },
      "state": "VA"
    },
    {
      "asn": 64222,
      "description": "Dallas MegaIX",
      "ecix": false,
      "group_metro": "Dallas",
      "name": "Dallas IX",
      "network_region": "MP1",
      "primaryipv4": {
        "type": "inet",
        "value": "206.53.174.1"
      },
      "primaryipv6": {
        "type": "inet",
        "value": "2606:a980:0:7::1"
      },
      "secondaryipv4": {
        "type": "inet",
        "value": "206.53.174.2"
      },
      "secondaryipv6": {
        "type": "inet",
        "value": "2606:a980:0:7::2"
      },
      "state": "TX"
    },
    {
      "asn": 59899,
      "description": "Sofía MegaIX",
      "ecix": false,
      "group_metro": "Sofia",
      "name": "Sofia IX",
      "network_region": "MP1",
      "primaryipv4": {
        "type": "inet",
        "value": "91.212.235.1"
      },
      "primaryipv6": {
        "type": "inet",
        "value": "2001:7f8:9f::a5:9899:1"
      },
      "secondaryipv4": {
        "type": "inet",
        "value": "91.212.235.100"
      },
      "secondaryipv6": {
        "type": "inet",
        "value": "2001:7f8:9f::a5:9899:2"
      },
      "state": "QLD"
    },
    {
      "asn": 9033,
      "description": "Múnich ECIX",
      "ecix": true,
      "group_metro": "Munich",
      "name": "Munich IX",
      "network_region": "MP1",
      "primaryipv4": {
        "type": "inet",
        "value": "194.59.190.253"
      },
      "primaryipv6": {
        "type": "inet",
        "value": "2001:7f8:2c:1000:0:2349:0:fd"
      },
      "secondaryipv4": {
        "type": "inet",
        "value": "194.59.190.254"
      },
      "secondaryipv6": {
        "type": "inet",
        "value": "2001:7f8:2c:1000:0:2349:0:fe"
      },
      "state": "QLD"
    },
    {
      "asn": 9033,
      "description": "Berlín ECIX",
      "ecix": true,
      "group_metro": "Berlin",
      "name": "Berlin IX",
      "network_region": "MP1",
      "primaryipv4": {
        "type": "inet",
        "value": "194.9.117.253"
      },
      "primaryipv6": {
        "type": "inet",
        "value": "2001:7f8:8:5:0:2349:0:fd"
      },
      "secondaryipv4": {
        "type": "inet",
        "value": "194.9.117.254"
      },
      "secondaryipv6": {
        "type": "inet",
        "value": "2001:7f8:8:5:0:2349:0:fe"
      },
      "state": "QLD"
    },
    {
      "asn": 9033,
      "description": "Hamburgo ECIX",
      "ecix": true,
      "group_metro": "Hamburg",
      "name": "Hamburg IX",
      "network_region": "MP1",
      "primaryipv4": {
        "type": "inet",
        "value": "193.42.155.253"
      },
      "primaryipv6": {
        "type": "inet",
        "value": "2001:7f8:8:10:0:2349:0:fd"
      },
      "secondaryipv4": {
        "type": "inet",
        "value": "193.42.155.254"
      },
      "secondaryipv6": {
        "type": "inet",
        "value": "2001:7f8:8:10:0:2349:0:fe"
      },
      "state": "QLD"
    },
    {
      "asn": 9033,
      "description": "Düsseldorf ECIX",
      "ecix": true,
      "group_metro": "Dusseldorf",
      "name": "Dusseldorf IX",
      "network_region": "MP1",
      "primaryipv4": {
        "type": "inet",
        "value": "194.146.118.253"
      },
      "primaryipv6": {
        "type": "inet",
        "value": "2001:7f8:8::2349:0:fd"
      },
      "secondaryipv4": {
        "type": "inet",
        "value": "194.146.118.254"
      },
      "secondaryipv6": {
        "type": "inet",
        "value": "2001:7f8:8::2349:0:fe"
      },
      "state": "QLD"
    },
    {
      "asn": 9033,
      "description": "Frankfurt ECIX",
      "ecix": true,
      "group_metro": "Frankfurt",
      "name": "Frankfurt IX",
      "network_region": "MP1",
      "primaryipv4": {
        "type": "inet",
        "value": "62.69.147.253"
      },
      "primaryipv6": {
        "type": "inet",
        "value": "2001:7f8:8:20:0:2349:0:fd"
      },
      "secondaryipv4": {
        "type": "inet",
        "value": "62.69.147.254"
      },
      "secondaryipv6": {
        "type": "inet",
        "value": "2001:7f8:8:20:0:2349:0:fe"
      },
      "state": "QLD"
    }
  ],
  "message": "Tipos de IX disponibles para la ubicación 2",
  "terms": "This data is subject to the Acceptable Use Policy https://www.megaport.com/legal/acceptable-use-policy"
}
```

**SDK Code**

```python
import requests

url = "https://api.megaport.com/v2/product/ix/types"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.megaport.com/v2/product/ix/types';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.megaport.com/v2/product/ix/types"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.megaport.com/v2/product/ix/types")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.megaport.com/v2/product/ix/types")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.megaport.com/v2/product/ix/types');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.megaport.com/v2/product/ix/types");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.megaport.com/v2/product/ix/types")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```